#include "../ScriptHook/ScriptingTypes.h"

#ifndef COORD_H
#define COORD_H

class Coord
{
public:
	Coord();
	Coord(u32 islandID,f32 x, f32 y, f32 z, char *desc);
	~Coord();
	void setCoord(f32 x,f32 y,f32 z);
	void setDescr(char *desc);
	void getCoord(f32 *x, f32 *y, f32 *z) const;
	void getDescr(char desc[400]) const;
	void showRadar();
	void hideRadar();
	void setIslandID(u32 i);
	u32 getIslandID() const;
private:
	Scripting::Blip blip;
	f32 coordX,coordY,coordZ;
	char description[400];
	u32 islandID;
};

#endif
