#include <vector>
#include "coord.h"

#ifndef COORDMANAGER_H
#define COORDMANAGER_H

class CoordManager
{
public:
	CoordManager();
	~CoordManager();
	void placeCoords();
	const Coord getRandomCoord(int money) const;
	void parseFile(const char *filename);
	int numCoords() const;
	Coord nextCoord();
	const Coord getClosestSpray() const;
private:
	std::vector<Coord> coords;
	std::vector<Coord> sprays;
};

#endif