#pragma once

#include "../ScriptHook/Scripting.h"

namespace Scripting
{
	//static Fire StartScriptFire(f32 x, f32 y, f32 z, int unk1, int unk2) { return NativeInvoke::Invoke<Fire>("START_SCRIPT_FIRE", x, y, z, unk1, unk2); }
	//static void SetCarHealth(Vehicle p0, u32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_HEALTH", p0, p1); }
	static void SetObjectInvincible(Object p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_OBJECT_INVINCIBLE", p0, p1); }
	//static void SetCarCanBeDamaged(Vehicle p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_CAN_BE_DAMAGED", p0, p1); }
	//static void SetCarStrong(Vehicle p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_STRONG", p0, p1); }
	static void SetCarMass(Vehicle p0, f32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_MASS", p0, p1); }
	static void SetCamShake(Cam p0, f32 p1, f32 p2) { NativeInvoke::Invoke<ScriptVoid>("SET_CAM_SHAKE", p0, p1, p2); }
	static void GetGameCam(Cam *p0) { NativeInvoke::Invoke<ScriptVoid>("GET_GAME_CAM", p0); }
	//static void GivePedHelmet(Ped p0) { NativeInvoke::Invoke<ScriptVoid>("GIVE_PED_HELMET", p0); }
	static void GetPedBonePosition(Ped p0, u32 p1, f32 p2, f32 p3, f32 p4, f64 **p5) { NativeInvoke::Invoke<ScriptVoid>("GET_PED_BONE_POSITION", p0, p1, p2, p3, p4, p5); }
	static ScriptAny TriggerPtfxOnPedBone(const ch *p0 , Ped p1, f32 p2, f32 p3, f32 p4, f32 p5, f32 p6, f32 p7, u32 p8, f32 p9) { return NativeInvoke::Invoke<ScriptAny>("TRIGGER_PTFX_ON_PED_BONE", p0, p1, p2, p3, p4, p5, p6, p7, p8, p9); }
	//static void SetCarProofs(Vehicle p0, b8 p1, b8 p2, b8 p3, b8 p4, b8 p5) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_PROOFS", p0, p1, p2, p3, p4, p5); }

	static void AttachCarToCar(Vehicle p0, Vehicle p1, u32 p2, f32 p3, f32 p4, f32 p5, f32 p6, f32 p7, f32 p8) { NativeInvoke::Invoke<ScriptVoid>("ATTACH_CAR_TO_CAR", p0, p1, p2, p3, p4, p5, p6, p7, p8); }

	//static void SetCarVisible(Vehicle p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_VISIBLE", p0, p1); }
	static void SetCarCollision(Vehicle p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_COLLISION", p0, p1); }
	static void SetTextFont(u32 font) { NativeInvoke::Invoke<ScriptVoid>("SET_TEXT_FONT", font); }
	static void SetTextBackground(b8 p0) { NativeInvoke::Invoke<ScriptVoid>("SET_TEXT_BACKGROUND", p0); }
	static void SetTextDropshadow(u32 p0, u32 p1, u32 p2, u32 p3, u32 p4) { NativeInvoke::Invoke<ScriptVoid>("SET_TEXT_DROPSHADOW", p0, p1, p2, p3, p4); }
	static void SetTextEdge(u32 p0, u32 p1, u32 p2, u32 p3, u32 p4) { NativeInvoke::Invoke<ScriptVoid>("SET_TEXT_EDGE", p0, p1, p2, p3, p4); }
	static void SetTextProportional(b8 p0) { NativeInvoke::Invoke<ScriptVoid>("SET_TEXT_PROPORTIONAL", p0); }
	static void SetTextWrap(f32 wrapLeft, f32 wrapRight) { NativeInvoke::Invoke<ScriptVoid>("SET_TEXT_WRAP", wrapLeft, wrapRight); }
	//static void SetTextScale(f32 p0, f32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_TEXT_SCALE", p0, p1); }
	
	static b8 IsKeyboardKeyJustPressed(u32 p0) { return NativeInvoke::Invoke<b8>("IS_KEYBOARD_KEY_JUST_PRESSED", p0); }
	static b8 IsKeyboardKeyPressed(u32 p0) { return NativeInvoke::Invoke<b8>("IS_KEYBOARD_KEY_PRESSED", p0); }
	static b8 IsGameKeyboardKeyJustPressed(u32 p0) { return NativeInvoke::Invoke<b8>("IS_GAME_KEYBOARD_KEY_JUST_PRESSED", p0); }
	static b8 IsGameKeyboardKeyPressed(u32 p0) { return NativeInvoke::Invoke<b8>("IS_GAME_KEYBOARD_KEY_PRESSED", p0); }
	static void PrintHelpForeverWithString(const ch *gxtName, const ch *literalStr) { NativeInvoke::Invoke<ScriptVoid>("PRINT_HELP_FOREVER_WITH_STRING", gxtName, literalStr); }

	static void SetMissionFlag(u32 p0) { NativeInvoke::Invoke<ScriptVoid>("SET_MISSION_FLAG", p0); }

	//static void GetRandomCharInAreaOffsetNoSave(f32 p0, f32 p1, f32 p2, f32 p3, f32 p4, f32 p5, Ped *p6) { NativeInvoke::Invoke<ScriptVoid>("GET_RANDOM_CHAR_IN_AREA_OFFSET_NO_SAVE", p0, p1, p2, p3, p4, p5, p6); }

	static void TaskPlayAnim(Ped ped, const ch *anim, const ch *anim2, f32 p3, u32 p4, u32 p5, u32 p6, u32 p7, u32 p8) { NativeInvoke::Invoke<ScriptVoid>("TASK_PLAY_ANIM", ped, anim, anim2, p3, p4, p5, p6, p7, p8); }
	static void TaskPlayAnimUpperBody(Ped ped, const ch *anim, const ch *anim2, f32 p3, u32 p4, u32 p5, u32 p6, u32 p7, u32 p8) { NativeInvoke::Invoke<ScriptVoid>("TASK_PLAY_ANIM_UPPER_BODY", ped, anim, anim2, p3, p4, p5, p6, p7, p8); }

	static b8 HasCharAnimFinished(Ped p0, const ch *p1, const ch *p2) { return NativeInvoke::Invoke<b8>("HAS_CHAR_ANIM_FINISHED", p0, p1, p2); }

	static b8 IsCharPlayingAnim(Ped p0, const ch *p1, const ch *p2) { return NativeInvoke::Invoke<b8>("IS_CHAR_PLAYING_ANIM", p0, p1, p2); }

	static void SetTaxiLights(Vehicle p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_TAXI_LIGHTS", p0, p1); }

	//static void TaskLookAtChar(Ped p0, Ped p1, u32 p2, u32 p3) { NativeInvoke::Invoke<ScriptVoid>("TASK_LOOK_AT_CHAR", p0, p1, p2, p3); }

	//static void SetCharHeading(Ped p0, f32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CHAR_HEADING", p0, p1); }
	//static void SetCharDesiredHeading(Ped p0, f32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CHAR_DESIRED_HEADING", p0, p1); }

	static void TaskGotoCar(Ped p0, Vehicle p1, u32 p2, f32 p3) { NativeInvoke::Invoke<ScriptVoid>("TASK_GOTO_CAR", p0, p1, p2, p3); }

	//static void TaskEnterCarAsPassenger(Ped ped, Vehicle veh, u32 maxTime, u32 seat) { NativeInvoke::Invoke<ScriptVoid>("TASK_ENTER_CAR_AS_PASSENGER", ped, veh, maxTime, seat); }
	//static void TaskLeaveAnyCar(Ped p0) { NativeInvoke::Invoke<ScriptVoid>("TASK_LEAVE_ANY_CAR", p0); }
	//static void TaskLeaveCar(Ped p0, Vehicle p1) { NativeInvoke::Invoke<ScriptVoid>("TASK_LEAVE_CAR", p0, p1); }

	static void TaskStandStill(Ped p0, u32 p1) { NativeInvoke::Invoke<ScriptVoid>("TASK_STAND_STILL", p0, p1); }

	//static void SetCharCoordinates(Ped ped, f32 x, f32 y, f32 z) { NativeInvoke::Invoke<ScriptVoid>("SET_CHAR_COORDINATES", ped, x, y, z); }

	//static void SetRoute(Blip p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_ROUTE", p0, p1); }

	static void SetObjectScale(Object p0, f32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_OBJECT_SCALE", p0, p1); }
	//static void SetBlipAsFriendly(Blip p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_BLIP_AS_FRIENDLY", p0, p1); }

	//static void TaskLeaveCarImmediately(Ped p0, Vehicle p1) { NativeInvoke::Invoke<ScriptVoid>("TASK_LEAVE_CAR_IMMEDIATELY", p0, p1); }
	//static void BeginCharSearchCriteria() { NativeInvoke::Invoke<ScriptVoid>("BEGIN_CHAR_SEARCH_CRITERIA"); }
	//static void EndCharSearchCriteria() { NativeInvoke::Invoke<ScriptVoid>("END_CHAR_SEARCH_CRITERIA"); }
	//static void SearchCriteriaRejectPedsWithFlagTrue(u32 p0) { NativeInvoke::Invoke<ScriptVoid>("SEARCH_CRITERIA_REJECT_PEDS_WITH_FLAG_TRUE", p0); }
	//static void SearchCriteriaConsiderPedsWithFlagTrue(u32 p0) { NativeInvoke::Invoke<ScriptVoid>("SEARCH_CRITERIA_CONSIDER_PEDS_WITH_FLAG_TRUE", p0); }
	//static void SetGroupMember(Group p0, Ped p1) { NativeInvoke::Invoke<ScriptVoid>("SET_GROUP_MEMBER", p0, p1); }
	//static void SetCharRelationshipGroup(Ped p0, u32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CHAR_RELATIONSHIP_GROUP", p0, p1); }
	//static void SetCharRelationship(ScriptAny p0, ScriptAny p1, ScriptAny p2) { NativeInvoke::Invoke<ScriptVoid>("SET_CHAR_RELATIONSHIP", p0, p1, p2); }
	//static void SetCharWillFlyThroughWindscreen(Ped p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CHAR_WILL_FLY_THROUGH_WINDSCREEN", p0, p1); }
	//static void TaskTurnCharToFaceChar(Ped p0, Ped p1) { NativeInvoke::Invoke<ScriptVoid>("TASK_TURN_CHAR_TO_FACE_CHAR", p0, p1); }
	static void SetCarEngineOn(Vehicle p0, u32 p1, u32 p2) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_ENGINE_ON", p0, p1, p2); }
	//static void SetCarForwardSpeed(Vehicle p0, f32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_FORWARD_SPEED", p0, p1); }
	static void TaskStartScenarioInPlace(Ped p0, char *p1) { NativeInvoke::Invoke<ScriptVoid>("TASK_START_SCENARIO_IN_PLACE", p0, p1, 0xbf800000); }
	static void TaskUseNearestScenarioToPos(Ped p0, f32 p1, f32 p2, f32 p3, f32 p4) { NativeInvoke::Invoke<ScriptVoid>("TASK_USE_NEAREST_SCENARIO_TO_POS", p0, p1, p2, p3, p4); }
	//static void SetCarCoordinates(Vehicle p0, f32 p1, f32 p2, f32 p3) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_COORDINATES", p0, p1, p2, p3); }
	static void SetCarAsMissionCar(Vehicle p0) { NativeInvoke::Invoke<ScriptVoid>("SET_CAR_AS_MISSION_CAR", p0); }
	static b8 DoesScenarioExistInArea(f32 p0, f32 p1, f32 p2, f32 p3, u32 p4) { return NativeInvoke::Invoke<b8>("DOES_SCENARIO_EXIST_IN_AREA", p0, p1, p2, p3, p4); }
	//static void TaskWanderStandard(Ped p0) { NativeInvoke::Invoke<ScriptVoid>("TASK_WANDER_STANDARD", p0); }
	//static void TaskWarpCharIntoCarAsDriver(Ped p0, Vehicle p1) { NativeInvoke::Invoke<ScriptVoid>("TASK_WARP_CHAR_INTO_CAR_AS_DRIVER", p0, p1); }

	static void DrawRect(f32 p0, f32 p1, f32 p2, f32 p3, u32 p4, u32 p5, u32 p6, u32 p7) { NativeInvoke::Invoke<ScriptVoid>("DRAW_RECT", p0, p1, p2, p3, p4, p5, p6, p7); }
	static void GetScriptRendertargetRenderId(u32 *p0) { NativeInvoke::Invoke<ScriptVoid>("GET_SCRIPT_RENDERTARGET_RENDER_ID", p0); }
	static void SetTextRenderId(u32 p0) { NativeInvoke::Invoke<ScriptVoid>("SET_TEXT_RENDER_ID", p0); }
	static b8 IsSittingObjectNear(f32 p0, f32 p1, f32 p2, u32 p3) { return NativeInvoke::Invoke<b8>("IS_SITTING_OBJECT_NEAR", p0, p1, p2, p3); }
	static void TaskSitDownOnNearestObject(Ped ped, u32 sitType, u32 p2, f32 x, f32 y, f32 z, u32 p6, f32 p7, u32 p8, b8 teleport) { 
		NativeInvoke::Invoke<ScriptVoid>("TASK_SIT_DOWN_ON_NEAREST_OBJECT", ped, sitType, p2, x, y, z, p6, p7, p8, teleport); 
	}
	static void TaskSitDown(Ped p0, u32 p1, u32 p2, u32 p3) { NativeInvoke::Invoke<ScriptVoid>("TASK_SIT_DOWN", p0, p1, p2, p3); }
	static void SetObjectAlpha(Object obj, f32 alpha) { NativeInvoke::Invoke<ScriptVoid>("SET_OBJECT_ALPHA", obj, alpha); }
	//static void SetObjectCollision(Object p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_OBJECT_COLLISION", p0, p1); }
	static void ChangeBlipDisplay(Blip blip, u32 display) { NativeInvoke::Invoke<ScriptVoid>("CHANGE_BLIP_DISPLAY", blip, display); }
	static void SetObjectLights(Object p0, u32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_OBJECT_LIGHTS", p0, p1); }
	static b8 RotateObject(Object p0, f32 p1, f32 p2, b8 p3) { return NativeInvoke::Invoke<b8>("ROTATE_OBJECT", p0, p1, p2, p3); }
	static void SetObjectRotation(Object p0, f32 p1, f32 p2, f32 p3) { NativeInvoke::Invoke<ScriptVoid>("SET_OBJECT_ROTATION", p0, p1, p2, p3); }
	//static void SetObjectVisible(Object p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_OBJECT_VISIBLE", p0, p1); }
	//static void SetBlipAsShortRange(Blip p0, b8 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_BLIP_AS_SHORT_RANGE", p0, p1); }
	static void TriggerMissionCompleteAudio(b8 p0) { NativeInvoke::Invoke<ScriptVoid>("TRIGGER_MISSION_COMPLETE_AUDIO", p0); }
	static void SwitchOffWaypoint() { NativeInvoke::Invoke<ScriptVoid>("SWITCH_OFF_WAYPOINT"); }
	static void TaskCarDriveToCoord(Ped p0, Car p1, f32 x, f32 y, f32 z, f32 speed, b8 p6, eModel carModel, u32 p8, f32 distance, u32 p10) { NativeInvoke::Invoke<ScriptVoid>("TASK_CAR_DRIVE_TO_COORD",  p0,  p1,  x,  y,  z,  speed,  p6,  carModel,  p8,  distance,  p10); }
	//static void SetCharMoney(Ped p0, u32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_CHAR_MONEY", p0, p1); }
	//static void SetFloatStat(eFloatStatistic p0, f32 p1) { NativeInvoke::Invoke<ScriptVoid>("SET_FLOAT_STAT", p0, p1); }
	static void SayAmbientSpeech(Ped p0, char *spch, b8 p2, b8 p3, b8 p4) { NativeInvoke::Invoke<ScriptVoid>("SAY_AMBIENT_SPEECH", p0, spch, p2, p3, p4); }
	static void DrawLightWithRange(f32 p0, f32 p1, f32 p2, u32 p3, u32 p4, u32 p5, f32 p6, f32 p7) { NativeInvoke::Invoke<ScriptVoid>("DRAW_LIGHT_WITH_RANGE", p0, p1, p2, p3, p4, p5, p6, p7); }
	//static b8 IsAmbientSpeechPlaying(Ped p0) { return NativeInvoke::Invoke<b8>("IS_AMBIENT_SPEECH_PLAYING", p0); }
	//static void CancelCurrentlyPlayingAmbientSpeech(Ped p0) { NativeInvoke::Invoke<ScriptVoid>("CANCEL_CURRENTLY_PLAYING_AMBIENT_SPEECH", p0); }
	static void DisplayNonMinigameHelpMessages(b8 p0) { NativeInvoke::Invoke<ScriptVoid>("DISPLAY_NON_MINIGAME_HELP_MESSAGES", p0); }
	//static b8 GetClosestMajorCarNode(f32 p0, f32 p1, f32 p2, f32 *p3, f32 *p4, f32 *p5) { return NativeInvoke::Invoke<b8>("GET_CLOSEST_MAJOR_CAR_NODE", p0, p1, p2, p3, p4, p5); }

	typedef struct : ScriptHandle { } pFX;
	//L[3575] = START_PTFX("fire_chopper_tail", L[3571].v0, L[3571].v1, L[3571].v2, 0.0f, 0.0f, 0.0f, 0.7f);
	static pFX StartPtfx(char *p0, f32 p1, f32 p2, f32 p3, f32 p4, f32 p5, f32 p6, f32 p7) { return NativeInvoke::Invoke<pFX>("START_PTFX", p0, p1, p2, p3, p4, p5, p6, p7); }

	static Player GetPlayer()
	{
		Player playerIndex = ConvertIntToPlayerIndex(GetPlayerId());
		return playerIndex;
	}

	static Ped GetPlayerPed()
	{
		Ped ped;
		GetPlayerChar(GetPlayer(), &ped);
		return ped;
	}

}