#include "coord.h"
#include "Scripting.h"
#include <string>

Coord::Coord()
{

}

Coord::Coord(u32 i,f32 x, f32 y, f32 z, char *desc)
{
	setIslandID(i);
	setCoord(x,y,z);
	setDescr(desc);
}

Coord::~Coord()
{
}
void Coord::setIslandID(u32 i){
	islandID = i;
}
u32 Coord::getIslandID() const
{
	return islandID;
}
void Coord::setCoord(f32 x, f32 y, f32 z){
	coordX = x;
	coordY = y;
	coordZ = z;
}

void Coord::getCoord( f32 *x, f32 *y, f32 *z ) const
{
	*x = coordX;
	*y = coordY;
	*z = coordZ;
}

void Coord::setDescr(char desc[]){
	strcpy_s(description,400,desc);
}

void Coord::getDescr( char desc[400] ) const
{
	strcpy_s(desc,400,description);
}

void Coord::showRadar(){
	Scripting::AddBlipForCoord(coordX,coordY,coordZ,&blip);
	Scripting::SetRoute(blip,true);
}

void Coord::hideRadar(){
	if(DoesBlipExist(blip)){
		Scripting::SetRoute(blip,false);
		Scripting::RemoveBlip(blip);
	}
}