#include <vector>
#include "../ScriptHook/ScriptingTypes.h"
#include "taxiPed.h"
#include "states.h"

#ifndef PEDMANAGER_H
#define PEDMANAGER_H

class PedManager
{
public:
	PedManager();
	~PedManager();
	void checkPeds();
	void update();
	void setState(int s);
	void cleanUp();
	void findPed();
	int getState() const;
	void getPed(Scripting::Ped *ped) const;
private:
	TaxiPed ped;
	std::vector<Scripting::Ped> unwantedPeds;
	int maxPeds;
	int curState;
};

#endif