#include "../ScriptHook/ScriptingTypes.h"

#ifndef TAXIPED_H
#define TAXIPED_H

#define PI (3.14159265f)
#define PEDSTATE_NOT_FACING_PLAYER (0)
#define PEDSTATE_MOVING_TO_TAXI (1)
#define PEDSTATE_INSIDE_TAXI (2)

class TaxiPed
{
public:
	TaxiPed();
	~TaxiPed();
	void setPed(Scripting::Ped p);
	void getPed(Scripting::Ped *p) const;
	bool isBad() const;
	void cleanUp();
	void friendly(b8 b) const;
	void update();
	void setState(int s);
	int getState() const;
	bool badness;
private:
	Scripting::Ped ped;
	Scripting::Blip blip;
	int pedState;
};

#endif